name: proxibuy
description: "A new Flutter project."
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+1

environment:
  sdk: ^3.6.0

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.8
  flutter_bloc: ^9.0.0
  dio: ^5.8.0+1
  shared_preferences: ^2.5.2
  permission_handler: ^11.3.1
  go_router: ^14.8.0
  url_strategy: ^0.3.0
  flutter_native_splash: ^2.4.4
  flutter_launcher_icons: ^0.14.3
  carousel_slider: ^5.0.0
  smooth_page_indicator: ^1.2.0+3
  intl_phone_field: ^3.2.0
  flutter_svg: ^2.0.17
  bottom_navy_bar: ^6.1.0
  pretty_dio_logger: ^1.4.0
  universal_html: ^2.2.4
  dropdown_textfield: ^1.2.0

flutter_launcher_icons:
  android: true
  adaptive_icon_background: "#ffffff"
  ios: true
  image_path: assets/logo/app-logo.png
  min_sdk_android: 21 # android min sdk min:16, default 21
  web:
    generate: true
    image_path: assets/logo/app-logo.png
    background_color: "#FFFFFF"
    theme_color: "#FFFFFF"
  # windows:
  #   generate: true
  #   image_path: "path/to/image.png"
  #   icon_size: 48 # min:48, max:256, default: 48
  # macos:
  #   generate: true
  #   image_path: "path/to/image.png"

flutter_native_splash:
  color: "#ffffff"
  image: assets/logo/app-logo.png
  # branding: assets/branding-development.png
  color_dark: "#121212"
  image_dark: assets/logo/app-logo.png
  # branding_dark: assets/branding-development.png

  android_12:
    image: assets/logo/app-logo.png
    icon_background_color: "#ffffff"
    image_dark: assets/logo/app-logo.png
    icon_background_color_dark: "#121212"

  web: true
  ios: true

dev_dependencies:
  build_runner:
  flutter_gen_runner:
  flutter_test:
    sdk: flutter

  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  flutter_lints: ^5.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:
  generate: true
  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/logo/
    - assets/image/
    - assets/icon/
    - assets/icon/outline/
    - assets/image/onboarding/
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/to/resolution-aware-images

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/to/asset-from-package

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/to/font-from-package

flutter_gen:
  parse_metadata: true
  output: lib/core/gen/
  integrations:
    flutter_svg: true
